<template>
    <div id="app">
        <header>
            <b-jumbotron id="header" fluid>
                <template slot="header">
                    <span id="title">hokiegeek.net</span>
                </template>
                <template id="subtitle" slot="lead">
                    My homepage. Under construction <span class="oldie">since 1998</span>.
                </template>
            </b-jumbotron>
        </header>
        <main role="main">
            <div class="d-flex justify-content-around flex-wrap">
                <a v-for="site in sites"
                   v-bind:key="site.key"
                   :href="site.url"
                   class="tarjetaEnlace">
                    <b-card :img-src="site.img"
                            img-alt="site.name"
                            img-top
                            :title="site.name"
                            border-variant="dark"
                            class="tarjeta rounded-0">
                        <p class="card-text" v-html="site.description">{{ site.description }}</p>
                    </b-card>
                </a>
            </div>
        </main>
    </div>
</template>

<script>
export default {
    name: 'app',
    data: function () {
        return {
            sites: [
                {
                    id: 0,
                    name: 'tea',
                    url: 'https://tea.hokiegeek.net',
                    img: 'https://lh3.googleusercontent.com/4S-VN1rIoZIE_XWqS5fUYlLEG7ggizuBgb_uPOEqIvDbU2jXyum6ZZWynoz_zgj7s-cDi9N2MK2Otv-dBVT8nDAgJAKVCicLULoEMVVOyTpJqqZxc6h3qLWjYX-Tb-ZQY9VZ39AAFJLiLTWYD5AWO-i43jcejTZY0RgJjenSvYAmdVIJ_giynzXknxI-i4wo3tqzQMmgJeGQmr7ezx1c1y-CZdGGNk9dVOWgn6aDV0t4ARleoku-XtdjaJQUGxhHuRRGYNBijVq6y4WDBPxfWI-f8sW4rgy0fuPhzMnpEAEzB0nWI95Xg1dQf_06I8GlQWa4xbPuuAe6o0g8fE3hCpIpJXUf1FwmdKuRzDmbLZpy3Tc63kLMcZD0pd8FW3hqudfWn57Zt28W4v04GZLAYVYQVSpanTmWaQ1xJXA7wOTMFFzn6AdR2bq--G4OJADud9o1l1tI--ygKILyHhAArs4L98njl6nM3qfWwG9ZzKxqesE5YM5WLLJx8nS-0IAfLXkC0mkCdAZnVNbzilJDRXZmQAwl9ZrQ6G2VC8WhYzTlpNIBkYAehWZMhMjY-3PR50oiasWjV5dHd1NNU6PljF1TUyQDDRUsuH-mI_mK',
                    description: 'I drink a bit of tea. This is my log of those imbibings.'
                },
                {
                    id: 1,
                    name: 'life',
                    url: 'http://life.hokiegeek.net',
                    img: 'https://gitlab.com/pond-life/biologist-web/raw/master/stable-life.gif',
                    description: 'I occasionally play around with a <a href="http://www.conwaylife.com/wiki/Conway%27s_Game_of_Life" title="Wiki entry" alt="Explanation for Conway\'s Game of Life">Conway\'s Game of Life</a> simulation I wrote in Go and Angular.'
                },
                {
                    id: 2,
                    name: 'wiki',
                    url: 'http://wiki.hokiegeek.net',
                    img: 'https://i.imgur.com/FzqIJWd.jpg',
                    description: 'A remote repository for my brain. This is where I dump thoughts, lists, and research notes.'
                },
                {
                    id: 3,
                    name: 'boardgames',
                    url: 'https://boardgamegeek.com/collection/user/HokieGeek?sort=rating&sortdir=desc&rankobjecttype=subtype&rankobjectid=1&columns=title%7Cthumbnail%7Crank%7Crating%7Cbggrating%7Cplays%7Ccomment&minrating=6.1&geekranks=Board+Game+Rank&excludesubtype=boardgameexpansion&own=1&objecttype=thing&ff=1&subtype=boardgame',
                    url_alt: 'boardgamegeek.com',
                    img: 'https://i.imgur.com/X0MNcmA.jpg',
                    description: 'I greatly enjoy playing board games. Take a look at BoardGameGeek for a list of my owned games.'
                },
                {
                    id: 4,
                    name: 'books',
                    url: 'https://goodreads.com/HokieGeek',
                    img: 'https://i.imgur.com/3JmasQU.jpg',
                    description: 'I used to read a bit and occassionally I still do. I use goodreads to track what I read.'
                },
                {
                    id: 5,
                    name: 'repos',
                    url: 'https://gitlab.com/users/HokieGeek/projects',
                    img: 'https://gitlab.com/gitlab-com/gitlab-artwork/raw/master/logo/logo-extra-whitespace.png',
                    description: 'I put all of my personal projects on GitLab. Check them out.'
                }
            ]
        }
    }
}
</script>

<style>
@media (max-width: 499px) {
  #title {
      font-size: 14vw;
  }
}
@media (min-width: 500px) {
  #title {
      font-size: 4.5rem;
  }
}

#app {
    background-image: url("./assets/mainbg.jpg");
    font-family: 'Roboto Condensed', Helvetica, sans-serif;
    height: 100%;
}

#header {
    text-align: center;
    background-image: url("./assets/headerbg.jpg");
    background-color: #0d1a2a;
    font-family: 'Quicksand', Helvetica, sans-serif;
    color: #ffffff;
}
#subtitle {
    color: #333333;
}
.oldie {
    font-family: 'Rye', Helvetica, sans-serif;
    font-size: .85em;
}
a.tarjetaEnlace,
a.tarjetaEnlace:hover {
    color: inherit;
    text-decoration: none;
}
.tarjeta {
    border-color: #194e51;
    max-width: 20rem;
    margin-bottom: 15px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.3);
}
.card-text a {
    color: #193251;
    color: #0d1a2a;
    color: #465a73;
}
.card-img-top {
    width: 100%;
    max-height: 240px;
    object-fit: cover;
    border-radius: 0 !important;
}
</style>
